Application: gvSIG desktop - gvSIG feature requests #2512

Preparar un plugin para personalizar parte de la instalacion de gvSIG.
04/26/2014 04:59 PM - Joaquin del Cerro Murciano

Status: Closed % Done: 90%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.3.0-2404 (rev. org.gvsig.deskiop-2.0.107)

gvSIG version: 21.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: No Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Preparar un plugin que permite generar distribuciones en las que se personalizan algunos aspectos de gvSIG como:

- Splash de arranque de gvSIG.
- Fondo de la MDI de gvSIG
- ldioma por defecto a usar en gvSIG.
- Proyeccion por defecto a usar.
- Valores para los servidores de algunos servicios de OGC, como:
- WMS
- WCS
- WFS
- WMTS

La idea es diponer de un plugin especializado que leyendo los valores de unos ficheros de configuracion del plugin los pasen a la
configuracion de la instalacion. Asi personalizar una distribucion pasaria por empaquetar este plugin de nuevo con otros valores e

incluirlo en una nueva distribucion, sin necesidad de recompilar nada en gvSIG.

Related issues:

Related to Application: gvSIG desktop - gvSIG feature requests # 2502: Servic... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2547: Persistencia WMS, ... Closed
Related to Application: gvSIG desktop - gvSIG feature requests # 2727: Pasar ... Closed

04/16/2014
05/29/2014
07/27/2014

Associated revisions

Revision 41311 - 04/26/2014 11:06 AM - Joaquin del Cerro Murciano

refs #2512

Revision 41312 - 04/27/2014 12:48 PM - Joaquin del Cerro Murciano

refs #2512

Revision 41313 - 04/27/2014 01:29 PM - Joaquin del Cerro Murciano

refs #2512
Revision 41314 - 04/29/2014 03:52 PM - Joaquin del Cerro Murciano

Modificaciones encaminadas principalmente a poder cambiar el Locale en el arranque de la aplicacion.

refs #2512

Revision 41320 - 05/02/2014 04:56 AM - Joaquin del Cerro Murciano

reduced the waiting time before to run the startupTasks in the DefaultPluginsManager (executeStartupTasks),
and fix setCurrentLocale to handle correctly when it is executed not in the AWT event thread.

refs #2512

Revision 41333 - 05/05/2014 06:00 PM - Joaquin del Cerro Murciano

Corregido el metodo addServerData de ServerDataPersistence para que no afiada servidores repetidos y afiadido el metodo isEmpty.

refs #2512

Revision 2790 - 06/04/2014 09:41 AM - Francisco Diaz Carsi

Corregida la persistencia del plugin

refs #2512

History

#1 - 04/30/2014 10:29 AM - Alvaro Anguix
- File splash.png added

#2 - 05/01/2014 10:13 PM - Joaquin del Cerro Murciano

- Status changed from New to In progress

#3 - 05/01/2014 10:13 PM - Joaquin del Cerro Murciano
- % Done changed from 0 to 50

#4 - 07/21/2014 10:59 PM - Joaquin del Cerro Murciano

- % Done changed from 50 to 90

Bueno, esto ya esta, me falta crear el proyecto en el redmine y subir los cambios.
Ya lo hare cuando tenga un rato.

#5 - 07/27/2014 07:46 PM - Joaquin del Cerro Murciano
- Related to gvSIG feature requests #2727: Pasar la persistencia del plugin de jCRS al formato de gvSIG 2. added

#6 - 08/27/2014 04:04 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2
#7 - 01/28/2015 12:05 PM - Alvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#8 - 10/16/2015 04:14 PM - Joaquin del Cerro Murciano
- Target version set to 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107)

- Status changed from In progress to Fixed

#9 - 10/26/2015 05:53 PM - Alvaro Anguix
- Status changed from Fixed to Closed
